import LogoButton from "./LogoButton"

interface FooterProps {
    bgcolor:string
}

export default function Footer ({bgcolor}:FooterProps) {
    return (
        <footer style={{display: "flex", justifyContent: "space-between", backgroundColor:bgcolor}}>
            <div style={{ display : "flex",  alignItems: "center", flexDirection: "column", margin:"5px", width:"10%"}}><p>ENSIBS</p><p>RedCRAB</p></div>
            <p>Made with ❤️ by RedCRAB</p>
            <div style={{ display : "flex",  alignItems: "center", flexDirection: "row", margin:"5px", width:"10%"}}>
                <LogoButton 
                    url="https://www-ensibs.univ-ubs.fr/fr/index.html"
                    logo = "https://www-ensibs.univ-ubs.fr/skins/ENSIBS/resources/img/logo.png"
                    style={{ width: "100%", height: "auto",
                    padding: "10px"}}/>
            </div>
        </footer>
    )
}